OpenTTD Source: SpriteFontCacheFactory Class Reference

OpenTTD Source 15.3

Public Member Functions | Static Private Attributes
SpriteFontCacheFactory Class Reference
Inheritance diagram for SpriteFontCacheFactory:

## Public Member Functions
std::unique_ptr< FontCache > | LoadFont (FontSize fs, FontType fonttype) const override
bool | FindFallbackFont (struct FontCacheSettings *, const std::string &, class MissingGlyphSearcher *) const override
Public Member Functions inherited from FontCacheFactory
| FontCacheFactory (std::string_view name, std::string_view description)
Public Member Functions inherited from BaseProvider< FontCacheFactory >
constexpr | BaseProvider (std::string_view name, std::string_view description)
std::string_view | GetName () const
std::string_view | GetDescription () const

## Static Private Attributes
static SpriteFontCacheFactory | instance

## Additional Inherited Members
Protected Attributes inherited from BaseProvider< FontCacheFactory >
const std::string_view | name
const std::string_view | description

## Detailed Description

Definition at line 157 of file spritefontcache.cpp.

## Constructor & Destructor Documentation

## ◆ SpriteFontCacheFactory()

SpriteFontCacheFactory::SpriteFontCacheFactory | ( |  | ) |
| inline

Definition at line 159 of file spritefontcache.cpp.

## Member Function Documentation

## ◆ FindFallbackFont()

bool SpriteFontCacheFactory::FindFallbackFont | ( | struct FontCacheSettings * | ,
|  | const std::string & | ,
|  | class MissingGlyphSearcher * |
| ) |  | const
| inlineoverridevirtual

Implements FontCacheFactory.

Definition at line 168 of file spritefontcache.cpp.

## ◆ LoadFont()

std::unique_ptr< FontCache > SpriteFontCacheFactory::LoadFont | ( | FontSize | fs,
|  | FontType | fonttype
| ) |  | const
| inlineoverridevirtual

Implements FontCacheFactory.

Definition at line 161 of file spritefontcache.cpp.

## Field Documentation

## ◆ instance

SpriteFontCacheFactory SpriteFontCacheFactory::instance
| staticprivate

Definition at line 174 of file spritefontcache.cpp.

The documentation for this class was generated from the following file:

- src/fontcache/spritefontcache.cpp